HowardMmc< GR, CM, TR >::SetLargeCost< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
HowardMmc< GR, CM, TR >::SetLargeCost< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename CM, typename TR>
template<typename T>
struct lemon::HowardMmc< GR, CM, TR >::SetLargeCost< T >

Named parameter for setting `LargeCost` type. It is used for internal computations in the algorithm.

`#include <lemon/howard_mmc.h>`

Inheritance diagram for HowardMmc< GR, CM, TR >::SetLargeCost< T >:
[legend]

## Additional Inherited Members
Public Types inherited from HowardMmc< GR, CM, SetLargeCostTraits< T > >
enum | TerminationCause
| Constants for the causes of search termination. More...
typedef SetLargeCostTraits< T > ::Digraph | Digraph
| The type of the digraph.
typedef SetLargeCostTraits< T > ::CostMap | CostMap
| The type of the cost map.
typedef SetLargeCostTraits< T > ::Cost | Cost
| The type of the arc costs.
typedef SetLargeCostTraits< T > ::LargeCost | LargeCost
| The large cost type. More...
typedef SetLargeCostTraits< T > ::Tolerance | Tolerance
| The tolerance type.
typedef SetLargeCostTraits< T > ::Path | Path
| The path type of the found cycles. More...
typedef SetLargeCostTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from HowardMmc< GR, CM, SetLargeCostTraits< T > >
| HowardMmc (const Digraph &digraph, const CostMap &cost)
| Constructor. More...
| ~HowardMmc ()
| Destructor.
HowardMmc & | cycle (Path &path)
| Set the path structure for storing the found cycle. More...
HowardMmc & | tolerance (const Tolerance &tolerance)
| Set the tolerance used by the algorithm. More...
const Tolerance & | tolerance () const
| Return a const reference to the tolerance. More...
const Path & | cycle () const
| Return the found cycle. More...
Cost | cycleCost () const
| Return the total cost of the found cycle. More...
int | cycleSize () const
| Return the number of arcs on the found cycle. More...
double | cycleMean () const
| Return the mean cost of the found cycle. More...
bool | run ()
| Run the algorithm. More...
TerminationCause | findCycleMean (int limit=std::numeric_limits< int >::max())
| Find the minimum cycle mean (or an upper bound). More...
bool | findCycle ()
| Find a minimum mean directed cycle. More...